import { IDSL, IPlugin } from "../src";
/**
 *
 */
export interface ITypeDraftConfig {
    DSLs: Array<{
        name: string;
        dsl: () => IDSL;
    }>;
    DraftPlugins?: Array<IPlugin & Function>;
}
export declare function MakeTranscriberWithConfig(code: string, config: ITypeDraftConfig): import("../src").ITranscriber;
export declare function InspectDirectory(path: string, config?: ITypeDraftConfig): void;
export declare function InspectFile(path: string, config?: ITypeDraftConfig): void;
export declare function ComposeDirectory(path: string, config?: ITypeDraftConfig): void;
export declare function CrossoutDirectory(path: string): void;
export declare function ComposeFile(source: string, config?: ITypeDraftConfig): void;
